ref: db476bac57b498173c2b8d9e664cb56242bd73a4
parent: 140a67dfc9f888ec0ab1a604974c70fc34986bb9
author: Martin Storsjö <[email protected]>
date: Fri Jul 11 08:31:19 EDT 2014
Abort directly on errors in the unit test in run_Test.sh Currently it runs all four unit test builds, and an error in any of the earlier three ones will be missed as long as the fourth one succeeds.
--- a/run_Test.sh
+++ b/run_Test.sh
@@ -29,6 +29,7 @@
if [ "${TestType}" = "UnitTest" ]
then
+ set -e
make -B ENABLE64BIT=Yes BUILDTYPE=Release all plugin test
make -B ENABLE64BIT=Yes BUILDTYPE=Debug all plugin test
make -B ENABLE64BIT=No BUILDTYPE=Release all plugin test